Bug 556215 - [abrt] crash in yum-utils-1.1.24-2.fc12
[abrt] crash in yum-utils-1.1.24-2.fc12
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-01-17 03:13 EST by Till Maas
Modified: 2014-01-21 18:13 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.1.25-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-01-18 11:45:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (735 bytes, text/plain)
2010-01-17 03:13 EST, Till Maas
no flags Details

  None (edit)
Description Till Maas 2010-01-17 03:13:20 EST
abrt 1.0.3 detected a crash.

How to reproduce: 1. repoquery --repofrompath epel,http://epel.uni-oldenburg.de/5/i386/ --repoid=epel --groupmember build
Comment: repoquery groupmember buil on a Repo that does not contain groupinf or this group creates a traceback. I used a EPEL repository.

Summary: TB3b229d1a __init__.py:703:_getGroups:GroupsError: <unprintable GroupsError object>

Traceback (most recent call last):
  File "/usr/bin/repoquery", line 866, in <module>
  File "/usr/bin/repoquery", line 857, in main
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 641, in doGroupSetup
    return self._getGroups()
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 703, in _getGroups
    raise Errors.GroupsError, _('No Groups Available in any repository')
GroupsError: <unprintable GroupsError object>

Local variables in innermost frame:
group_st: 1263715906.51
self: <__main__.YumBaseQuery object at 0x115fad0>
reposWithGroups: []
overwrite: False

cmdline: /usr/bin/python -tt /usr/bin/repoquery --repofrompath epel,http://epel.uni-oldenburg.de/5/i386/ --repoid=epel --groupmember build
component: yum-utils
executable: /usr/bin/repoquery
package: yum-utils-1.1.24-2.fc12
uuid: 3b229d1a
Comment 1 Till Maas 2010-01-17 03:13:23 EST
Created attachment 384887 [details]
File: backtrace
Comment 2 Till Maas 2010-01-17 16:16:09 EST
btw. the repo does contain group information, so probably it's more repofrompath related.
Comment 3 seth vidal 2010-01-18 11:06:07 EST
confirmed - I can make this happen. looking into it further.
Comment 4 seth vidal 2010-01-18 11:45:13 EST
fixed upstream. If you want - try this patch:

Comment 5 Till Maas 2010-01-18 16:07:20 EST
(In reply to comment #4)
> fixed upstream. If you want - try this patch:
> http://yum.baseurl.org/gitweb?p=yum-utils.git;a=commitdiff;h=318e4dbf39d3f3bd6aa5c34d4a91761e93b88acc    

Thanks for the fast fix, it works as expected.

Just wondering, will this bug be referenced when yum-utils will be updated in F12?
Comment 6 Tim Lauridsen 2010-01-22 05:22:36 EST
Yes, if there is a rhbz # in the commit then i will add it to Bodhi, when doing a release.
Comment 7 Fedora Update System 2010-01-27 07:13:42 EST
yum-utils-1.1.25-1.fc12 has been submitted as an update for Fedora 12.
Comment 8 Fedora Update System 2010-02-11 09:48:11 EST
yum-utils-1.1.25-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.